--- a/relpipe-data/download.xml Wed Dec 19 23:30:48 2018 +0100
+++ b/relpipe-data/download.xml Thu Dec 20 01:42:36 2018 +0100
@@ -41,9 +41,11 @@
<m:pre jazyk="bash"><![CDATA[ls -1d relpipe-* | while read r; do hg pull --update --repository "$r"; done]]></m:pre>
- <p>
- n.b. currently it might be a bit difficult to compile them, please stay tuned for v0.8, where the build process will be properly documented
- </p>
+ <h2>Released versions</h2>
+
+ <ul>
+ <li>2018-12-20: <m:a href="release-v0.8">v0.8</m:a></li>
+ </ul>
</text>
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/relpipe-data/examples/release-v0.8.sh Thu Dec 20 01:42:36 2018 +0100
@@ -0,0 +1,36 @@
+# Install dependencies as root:
+su -c "apt install g++ make cmake mercurial pkg-config"
+
+# Run rest of installation as a non-root user:
+export RELPIPE_VERSION="v0.8"
+export RELPIPE_SRC=~/src
+export RELPIPE_BUILD=~/build
+export RELPIPE_INSTALL=~/install
+export PKG_CONFIG_PATH="$RELPIPE_INSTALL/lib/pkgconfig/:$PKG_CONFIG_PATH"
+export PATH="$RELPIPE_INSTALL/bin:$PATH"
+
+mkdir "$RELPIPE_SRC" "$RELPIPE_BUILD" "$RELPIPE_INSTALL"
+
+# Helper functions:
+relpipe_download() { for m in "$@"; do cd "$RELPIPE_SRC" && hg clone -u "$RELPIPE_VERSION" https://hg.globalcode.info/relpipe/relpipe-$m.cpp || break; done; }
+relpipe_install() { for m in "$@"; do cd "$RELPIPE_BUILD" && mkdir relpipe-$m.cpp && cd relpipe-$m.cpp && cmake -DCMAKE_INSTALL_PREFIX:PATH="$RELPIPE_INSTALL" ../../src/relpipe-$m.cpp && make && make install || break; done; }
+
+# Download all sources:
+relpipe_download lib-protocol lib-reader lib-writer lib-cli in-cli in-fstab out-gui.qt out-nullbyte out-ods out-tabular out-xml tr-cut tr-grep tr-python tr-sed tr-validator
+
+# Build and install libraries:
+relpipe_install lib-protocol lib-reader lib-writer lib-cli
+
+# Build and install tools:
+relpipe_install in-fstab in-cli tr-cut tr-grep tr-sed out-nullbyte out-ods out-tabular out-xml
+
+# Clean-up:
+unset -f relpipe_install
+unset -f relpipe_download
+unset -v RELPIPE_VERSION
+unset -v RELPIPE_SRC
+unset -v RELPIPE_BUILD
+unset -v RELPIPE_INSTALL
+
+# View your fstab like on an 80s green screen terminal!
+relpipe-in-fstab | relpipe-out-tabular
--- a/relpipe-data/implementation.xml Wed Dec 19 23:30:48 2018 +0100
+++ b/relpipe-data/implementation.xml Thu Dec 20 01:42:36 2018 +0100
@@ -27,6 +27,8 @@
relpipe-out-xml.cpp executable output c++ GNU GPLv3+
relpipe-tr-cut.cpp executable transformation c++ GNU GPLv3+
relpipe-tr-grep.cpp executable transformation c++ GNU GPLv3+
+ relpipe-tr-guile.cpp executable transformation c++ GNU GPLv3+
+ relpipe-tr-python.cpp executable transformation c++ GNU GPLv3+
relpipe-tr-sed.cpp executable transformation c++ GNU GPLv3+
relpipe-tr-validator.cpp executable transformation c++ GNU GPLv3+
</m:tabulka>
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/relpipe-data/release-v0.8.xml Thu Dec 20 01:42:36 2018 +0100
@@ -0,0 +1,59 @@
+<stránka
+ xmlns="https://trac.frantovo.cz/xml-web-generator/wiki/xmlns/strana"
+ xmlns:m="https://trac.frantovo.cz/xml-web-generator/wiki/xmlns/makro">
+
+ <nadpis>Release v0.8</nadpis>
+ <perex>first public release of Relational pipes</perex>
+
+ <text xmlns="http://www.w3.org/1999/xhtml">
+ <p>
+ This is the first public release of <m:name/> for brave and courageous!
+ </p>
+
+ <h3>Data types</h3>
+ <ul>
+ <li>boolean</li>
+ <li>variable unsigned integer (prototype)</li>
+ <li>string in UTF-8</li>
+ </ul>
+ <h3>Inputs</h3>
+ <ul>
+ <li>CLI</li>
+ <li>fstab</li>
+ </ul>
+ <h3>Transformations</h3>
+ <ul>
+ <li>grep: regular expression filter, removes unwanted records from the relation</li>
+ <li>cut: regular expression attribute cutter (removes or duplicates attributes and can also DROP whole relation)</li>
+ <li>sed: regular expression replacer</li>
+ <li>validator: just a pass-through filter that crashes on invalid data</li>
+ <li>python: highly experimental</li>
+ </ul>
+ <h3>Outputs</h3>
+ <ul>
+ <li>tabular</li>
+ <li>XML</li>
+ <li>nullbyte</li>
+ <li>GUI in Qt</li>
+ <li>ODS (LibreOffice)</li>
+ </ul>
+
+ <p>
+ See the <m:a href="examples">examples</m:a> page for details.
+ </p>
+
+ <p>
+ Instalation was tested on Debian GNU/Linux 9.6.
+ The process should be similar on other distributions.
+ </p>
+
+ <m:pre src="examples/release-v0.8.sh" jazyk="bash" odkaz="ano"/>
+
+ <p>
+ <m:name/> are modular thus you can download and install only parts you need (the libraries are needed always).
+ Tools <code>out-gui.qt</code> and <code>tr-python</code> require additional libraries and are not built by default.
+ </p>
+
+ </text>
+
+</stránka>
--- a/relpipe-data/roadmap.xml Wed Dec 19 23:30:48 2018 +0100
+++ b/relpipe-data/roadmap.xml Thu Dec 20 01:42:36 2018 +0100
@@ -12,38 +12,6 @@
Releases after v1.0.0 should follow the rules of <a href="http://semver.org/">Semantic versioning</a>.
</p>
- <h2>v0.8</h2>
-
- <p>
- First public release for brave and courageous.
- </p>
-
- <h3>Data types</h3>
- <ul>
- <li>boolean</li>
- <li>variable unsigned integer (prototype)</li>
- <li>string in UTF-8</li>
- </ul>
- <h3>Inputs</h3>
- <ul>
- <li>CLI</li>
- <li>fstab</li>
- </ul>
- <h3>Transformations</h3>
- <ul>
- <li>grep: regular expression filter</li>
- <li>sed: regular expression replacer</li>
- </ul>
- <h3>Outputs</h3>
- <ul>
- <li>tabular</li>
- <li>XML</li>
- <li>nullbyte</li>
- <li>GUI in Qt</li>
- <li>ODS (LibreOffice)</li>
- </ul>
-
-
<h2>v0.9, v0.10, v0.11 etc.</h2>
<p>